summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiod Vallat <miod@cvs.openbsd.org>2006-05-09 21:24:48 +0000
committerMiod Vallat <miod@cvs.openbsd.org>2006-05-09 21:24:48 +0000
commit20b8774969b3423e444da91373e73560f8cbd376 (patch)
tree168d1c2062ae569d10550bd9ffb354bc751bbc93
parenta667db38b42dc9687da9c4c40ba80e647ded1222 (diff)
Regen
-rw-r--r--etc/etc.aviion/MAKEDEV363
-rw-r--r--share/man/man8/man8.aviion/MAKEDEV.8171
-rw-r--r--share/man/man8/man8.aviion/Makefile6
3 files changed, 540 insertions, 0 deletions
diff --git a/etc/etc.aviion/MAKEDEV b/etc/etc.aviion/MAKEDEV
new file mode 100644
index 00000000000..63b4f79a789
--- /dev/null
+++ b/etc/etc.aviion/MAKEDEV
@@ -0,0 +1,363 @@
+#!/bin/sh -
+#
+# THIS FILE AUTOMATICALLY GENERATED. DO NOT EDIT.
+# generated from:
+#
+# OpenBSD: etc.aviion/MAKEDEV.md,v 1.1 2006/05/09 21:17:13 miod Exp
+# OpenBSD: MAKEDEV.common,v 1.27 2006/04/16 11:34:01 todd Exp
+# OpenBSD: MAKEDEV.mi,v 1.77 2005/10/06 06:43:19 otto Exp
+# OpenBSD: MAKEDEV.sub,v 1.14 2005/02/07 06:14:18 david Exp
+#
+#
+# Copyright (c) 2001-2004 Todd T. Fries <todd@OpenBSD.org>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+# Device "make" file. Valid arguments:
+# all makes all known devices, including local devices.
+# Tries to make the ``standard'' number of each type.
+# ramdisk Ramdisk kernel devices
+# std Standard devices
+# local Configuration specific devices
+# Disks:
+# ccd* Concatenated disk devices
+# cd* ATAPI and SCSI CD-ROM drives
+# rd* "rd" pseudo-disks
+# sd* SCSI disks, including flopticals
+# vnd* "file" pseudo-disk devices
+# Tapes:
+# ch* SCSI media changers
+# st* SCSI tape drives
+# Terminal ports:
+# ttya-c on-board serial and mouse ports
+# Pseudo terminals:
+# ptm pty master device
+# pty* Set of 62 master pseudo terminals
+# tty* Set of 62 slave pseudo terminals
+# Special purpose devices:
+# bpf* Berkeley Packet Filter
+# fd fd/* nodes
+# lkm Loadable kernel modules interface
+# nvram0 On-board non-volatile memory
+# pf* Packet Filter
+# *random In-kernel random data source
+# ss* SCSI scanners
+# systrace* System call tracing device
+# tun* Network tunnel driver
+# uk* Unknown SCSI devices
+# xfs* XFS filesystem node
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+T=$0
+
+# set this to echo for Echo-Only debugging
+[ "$eo" ] || eo=
+
+hex()
+{
+ case $1 in
+ [0-9]) echo -n $1;;
+ 10) echo -n a;;
+ 11) echo -n b;;
+ 12) echo -n c;;
+ 13) echo -n d;;
+ 14) echo -n e;;
+ 15) echo -n f;;
+ esac
+}
+
+alph2d()
+{
+ local t="$1"
+ local p="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
+ local sub=${p%${t}*}
+ echo ${#sub}
+}
+
+h2d()
+{
+ local s="$1"
+ local f=${s%*[0-9a-f]} n=${s#[0-9a-f]*}
+
+ echo $(($(_h2d $f)*16+ $(_h2d $n) ))
+}
+
+_h2d()
+{
+ case $1 in
+ [0-9]) echo -n $1;;
+ a) echo -n 10;;
+ b) echo -n 11;;
+ c) echo -n 12;;
+ d) echo -n 13;;
+ e) echo -n 14;;
+ f) echo -n 15;;
+ esac
+}
+
+unt()
+{
+ # XXX pdksh can't seem to deal with locally scoped variables
+ # in ${foo#$bar} expansions
+ arg="$1"
+ tmp="${arg#[a-zA-Z]*}"
+ tmp="${tmp%*[a-zA-Z]}"
+ while [ "$tmp" != "$arg" ]
+ do
+ arg=$tmp
+ tmp="${arg#[a-zA-Z]*}"
+ tmp="${tmp%*[a-zA-Z]}"
+ done
+ echo $arg
+}
+
+dodisk()
+{
+ [ "$DEBUG" ] && set -x
+ n=$(($((${5}*${7:-16}))+${6})) count=0
+ [ 0$7 -ne 8 ] && l="i j k l m n o p"
+ for d in a b c d e f g h $l
+ do
+ M $1$2$d b $3 $(($n+$count)) 640 operator
+ M r$1$2$d c $4 $(($n+$count)) 640 operator
+ let count=count+1
+ done
+}
+
+dodisk2()
+{
+ n=$(($(($5*${7:-16}))+$6))
+ M $1$2a b $3 $n 640 operator
+ M r$1$2a c $4 $n 640 operator
+ n=$(($n+2))
+ M $1$2c b $3 $n 640 operator
+ M r$1$2c c $4 $n 640 operator
+}
+
+# M name b/c major minor [mode] [group]
+RMlist[0]="rm -f"
+
+mkl() {
+ mklist[${#mklist[*]}]=";mknod -m $1 $2 $3 $4 $5"
+}
+
+M() {
+ RMlist[${#RMlist[*]}]=$1
+ mkl ${5-666} $1 $2 $3 $4
+ G=${6:-wheel}
+ [ "$7" ] && {
+ MKlist[${#MKlist[*]}]=";chown $7:$G $1"
+ } || {
+ case $G in
+ wheel)
+ [ ${#whlist[*]} = 0 ] && whlist[0]=";chgrp wheel"
+ whlist[${#whlist[*]}]="$1"
+ ;;
+ operator)
+ [ ${#oplist[*]} = 0 ] && oplist[0]=";chgrp operator"
+ oplist[${#oplist[*]}]="$1"
+ ;;
+ *)
+ MKlist[${#MKlist[*]}]=";chgrp $G $1";
+ esac
+ }
+ return 0
+}
+
+R() {
+[ "$DEBUG" ] && set -x
+for i in "$@"
+do
+U=`unt $i`
+[ "$U" ] || U=0
+
+case $i in
+std)
+ M console c 0 0 600
+ M tty c 1 0
+ M mem c 2 0 640 kmem
+ M kmem c 2 1 640 kmem
+ M null c 2 2
+ M zero c 2 12
+ M stdin c 21 0
+ M stdout c 21 1
+ M stderr c 21 2
+ M ksyms c 43 0 640 kmem
+ M drum c 3 0 640 kmem
+ M klog c 6 0 600
+ ;;
+
+
+xfs*)
+ M xfs$U c 51 $U 600
+ ;;
+
+uk*)
+ M uk$U c 41 $U 640 operator
+ ;;
+
+tun*)
+ M tun$U c 23 $U 600
+ ;;
+
+systrace)
+ M systrace c 50 0 644
+ ;;
+
+ss*)
+ M ss$U c 42 $(($U*16)) 640 operator
+ M nss$U c 42 $(($(($U*16))+1)) 640 operator
+ M enss$U c 42 $(($(($U*16))+3)) 640 operator
+ RMlist[${#RMlist[*]}]="scan$U"
+ MKlist[${#MKlist[*]}]=";umask 77;ln -s ss$U scan$U"
+ ;;
+
+*random)
+ n=0
+ for pre in " " s u p a
+ do
+ M ${pre}random c 40 $n 644
+ n=$(($n+1))
+ done
+ ;;
+
+pf*)
+ M pf c 39 0 600
+ ;;
+
+nvram0)
+ M nvram0 c 10 0 640 kmem
+ ;;
+
+lkm)
+ M lkm c 24 0 640 _lkm
+ ;;
+
+fd)
+ RMlist[${#RMlist[*]}]=";mkdir -p fd;rm -f" n=0
+ while [ $n -lt 64 ];do M fd/$n c 21 $n;n=$(($n+1));done
+ MKlist[${#MKlist[*]}]=";chmod 555 fd"
+ ;;
+
+bpf*)
+ M bpf$U c 22 $U 600
+ ;;
+
+pty*)
+ if [ $U -gt 15 ]; then
+ echo bad unit for pty in: $i
+ continue
+ fi
+ set -A letters p q r s t u v w x y z P Q R S T
+ set -A suffixes 0 1 2 3 4 5 6 7 8 9 a b c d e f g h i j k l m n o p q \
+ r s t u v w x y z A B C D E F G H I J K L M N O P Q R S T U V W X \
+ Y Z
+
+ name=${letters[$U]}
+ n=0
+ while [ $n -lt 62 ]
+ do
+ nam=$name${suffixes[$n]}
+ off=$(($U*62))
+ M tty$nam c 4 $(($off+$n))
+ M pty$nam c 5 $(($off+$n))
+ n=$(($n+1))
+ done
+ ;;
+
+ptm)
+ M ptm c 52 0 666
+ ;;
+
+tty[a-c])
+ u=${i#tty*}
+ case $u in
+ a) n=0 ;;
+ b) n=1 ;;
+ c) n=2 ;;
+ *) echo unknown tty device $i ;;
+ esac
+ case $u in
+ a|b|c)
+ M tty$u c 12 $n 660 dialer uucp
+ M cua$u c 12 $(($n+128)) 660 dialer uucp
+ ;;
+ esac
+ ;;
+
+st*)
+ n=$(($U*16))
+ for pre in " " n e en
+ do
+ M ${pre}st$U b 5 $n 660 operator
+ M ${pre}rst$U c 20 $n 660 operator
+ n=$(($n+1))
+ done
+ ;;
+
+ch*)
+ M ch$U c 44 $U 660 operator
+ ;;
+
+vnd*)
+ dodisk vnd $U 8 19 $U 0
+ dodisk svnd $U 8 19 $U 2048
+ ;;
+
+rd*)
+ dodisk2 rd $U 7 18 $U 0
+ ;;
+
+cd*)
+ dodisk2 cd $U 6 9 $U 0
+ ;;
+
+local)
+ test -s $T.local && sh $T.local
+ ;;
+
+ramdisk)
+ R pty0 ttya rd0 cd0 cd1 st0 st1 sd0 sd1 sd2 sd3 sd4 bpf0 std
+ ;;
+
+all)
+ R ttya ttyb ttyc ccd0 ccd1 ccd2 ccd3 vnd0 vnd1 vnd2 vnd3 sd0
+ R sd1 sd2 sd3 sd4 cd0 cd1 rd0 tun0 tun1 tun2 tun3 bpf0 bpf1
+ R bpf2 bpf3 bpf4 bpf5 bpf6 bpf7 bpf8 bpf9 pty0 xfs0 ss0 ch0
+ R nvram0 ptm local uk0 random lkm pf systrace std st0 st1 fd
+ ;;
+
+sd*|ccd*)
+ case $i in
+ sd*) dodisk sd $U 4 8 $U 0;;
+ ccd*) dodisk ccd $U 9 17 $U 0;;
+ esac
+ ;;
+
+*)
+ echo $i: unknown device
+ ;;
+esac
+done
+}
+R "$@"
+{
+echo -n ${RMlist[*]}
+echo -n ${mklist[*]}
+echo -n ${MKlist[*]}
+echo -n ${whlist[*]}
+echo ${oplist[*]}
+} | if [ "$eo" = "echo" ]; then
+ cat
+else
+ sh
+fi
diff --git a/share/man/man8/man8.aviion/MAKEDEV.8 b/share/man/man8/man8.aviion/MAKEDEV.8
new file mode 100644
index 00000000000..23071aa8fc7
--- /dev/null
+++ b/share/man/man8/man8.aviion/MAKEDEV.8
@@ -0,0 +1,171 @@
+.\" $OpenBSD: MAKEDEV.8,v 1.1 2006/05/09 21:24:47 miod Exp $
+.\"
+.\" THIS FILE AUTOMATICALLY GENERATED. DO NOT EDIT.
+.\" generated from:
+.\"
+.\" OpenBSD: etc.aviion/MAKEDEV.md,v 1.1 2006/05/09 21:17:13 miod Exp
+.\" OpenBSD: MAKEDEV.common,v 1.27 2006/04/16 11:34:01 todd Exp
+.\" OpenBSD: MAKEDEV.man,v 1.3 2004/03/12 18:12:12 miod Exp
+.\" OpenBSD: MAKEDEV.mansub,v 1.2 2004/02/20 19:13:01 miod Exp
+.\"
+.\" Copyright (c) 2004, Miodrag Vallat
+.\" Copyright (c) 2001-2004 Todd T. Fries <todd@OpenBSD.org>
+.\"
+.\" Permission to use, copy, modify, and distribute this software for any
+.\" purpose with or without fee is hereby granted, provided that the above
+.\" copyright notice and this permission notice appear in all copies.
+.\"
+.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+.\"
+.Dd May 9, 2006
+.Dt MAKEDEV 8 aviion
+.Os
+.Sh NAME
+.Nm MAKEDEV
+.Nd create system and device special files
+.Sh SYNOPSIS
+.Nm MAKEDEV
+.Ar name
+.Op Ar ...
+.Sh DESCRIPTION
+The shell script
+.Nm ,
+found in the
+.Pa /dev
+directory, is used to create various special files.
+See
+.Xr intro 4
+for a more complete discussion of special files.
+.Pp
+.Nm
+takes any number of device names as arguments, where the names are
+the common abbreviation for the device or group of devices.
+.Pp
+Where a device name is followed by a star
+.Sq * ,
+the star must be replaced by a unit number.
+If units are expected for a device but not provided,
+.Nm
+will supply the standard numbers in most cases.
+.Pp
+The aviion supports the following devices:
+.Pp
+.Sy Special device names
+.Bl -tag -width tenletters -compact
+.It Ar all
+Creates special files for all devices on aviion.
+.It Ar ramdisk
+Ramdisk kernel devices.
+.It Ar std
+Creates the
+.Sq standard
+devices (console, drum, klog, kmem, ksyms, mem, null,
+stderr, stdin, stdout, tty, zero)
+which are absolutely necessary for the system to function properly.
+.It Ar local
+Creates configuration-specific devices, by invoking the shell file
+.Pa MAKEDEV.local .
+.El
+.Pp
+.Sy Disks
+.Bl -tag -width tenletters -compact
+.It Ar ccd*
+Concatenated disk devices, see
+.Xr ccd 4 .
+.It Ar cd*
+ATAPI and SCSI CD-ROM drives, see
+.Xr cd 4 .
+.It Ar rd*
+.Dq rd
+pseudo-disks, see
+.Xr rd 4 .
+.It Ar sd*
+SCSI disks, including flopticals, see
+.Xr sd 4 .
+.It Ar vnd*
+.Dq file
+pseudo-disk devices, see
+.Xr vnd 4 .
+.El
+.Pp
+.Sy Tapes
+.Bl -tag -width tenletters -compact
+.It Ar ch*
+SCSI media changers, see
+.Xr ch 4 .
+.It Ar st*
+SCSI tape drives, see
+.Xr st 4 .
+.El
+.Pp
+.Sy Terminal ports
+.Bl -tag -width tenletters -compact
+.It Ar ttya-c
+on-board serial and mouse ports, see
+.Xr dart 4 .
+.El
+.Pp
+.Sy Pseudo terminals
+.Bl -tag -width tenletters -compact
+.It Ar ptm
+pty master device, see
+.Xr ptm 4 .
+.It Ar pty*
+Set of 62 master pseudo terminals, see
+.Xr pty 4 .
+.It Ar tty*
+Set of 62 slave pseudo terminals, see
+.Xr tty 4 .
+.El
+.Pp
+.Sy Special purpose devices
+.Bl -tag -width tenletters -compact
+.It Ar bpf*
+Berkeley Packet Filter, see
+.Xr bpf 4 .
+.It Ar fd
+fd/* nodes, see
+.Xr fd 4 .
+.It Ar lkm
+Loadable kernel modules interface, see
+.Xr lkm 4 .
+.It Ar nvram0
+On-board non-volatile memory, see
+.Xr nvram 4 .
+.It Ar pf*
+Packet Filter, see
+.Xr pf 4 .
+.It Ar *random
+In-kernel random data source, see
+.Xr random 4 .
+.It Ar ss*
+SCSI scanners, see
+.Xr ss 4 .
+.It Ar systrace*
+System call tracing device, see
+.Xr systrace 4 .
+.It Ar tun*
+Network tunnel driver, see
+.Xr tun 4 .
+.It Ar uk*
+Unknown SCSI devices, see
+.Xr uk 4 .
+.It Ar xfs*
+XFS filesystem node, see
+.Xr mount_xfs 8 .
+.El
+.Sh FILES
+.Bl -tag -width /dev -compact
+.It Pa /dev
+The special file directory.
+.El
+.Sh SEE ALSO
+.Xr intro 4 ,
+.Xr config 8 ,
+.Xr mknod 8
diff --git a/share/man/man8/man8.aviion/Makefile b/share/man/man8/man8.aviion/Makefile
new file mode 100644
index 00000000000..a71b294d92b
--- /dev/null
+++ b/share/man/man8/man8.aviion/Makefile
@@ -0,0 +1,6 @@
+# $OpenBSD: Makefile,v 1.1 2006/05/09 21:24:47 miod Exp $
+
+MAN= MAKEDEV.8
+MANSUBDIR=aviion
+
+.include <bsd.prog.mk>